Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
scrypt.h File Reference
`#include <botan/pwdhash.h>`

Go to the source code of this file.

## Classes
class | Botan::Scrypt
class | Botan::Scrypt_Family

## Namespaces
| Botan

## Functions
void | Botan::scrypt (uint8_t output[], size_t output_len, const std::string &password, const uint8_t salt[], size_t salt_len, size_t N, size_t r, size_t p)
void | Botan::scrypt (uint8_t output[], size_t output_len, const char *password, size_t password_len, const uint8_t salt[], size_t salt_len, size_t N, size_t r, size_t p)
size_t | Botan::scrypt_memory_usage (size_t N, size_t r, size_t p)